## mathpiper 0.81f+dfsg1

=== debian/changelog ===
mathpiper (0.81f+dfsg1-1) unstable; urgency=low

  * New upstream version, from SVN revision 4053.
  * Remove watch file, which is not reliable.
  * Use javahelper to build the library instead of relying on its
    build.xml script.
  * Switch from CDBS to debhelper 7.
  * Switch to source package format 3.0 (quilt).

 -- Giovanni Mascellani <gio@debian.org>  Wed, 23 Nov 2011 08:54:20 +0100

mathpiper (0.0.svn2556-3) unstable; urgency=low

  * Add real watch file.
  * Update my email address.
  * Bump Standards-Version to 3.9.2 (no changes required).
  * Drop dependency on JRE, which is not mandated anymore.
  * Fix JAVA_HOME variable in debian/rules (closes: #643538).

 -- Giovanni Mascellani <gio@debian.org>  Sun, 09 Oct 2011 18:05:50 +0200

mathpiper (0.0.svn2556-2) unstable; urgency=low

  * debian/copyright: added missing files
  * debian/watch: placeholder added

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Wed, 11 Nov 2009 00:04:00 +0100

mathpiper (0.0.svn2556-1) unstable; urgency=low

  * Initial release (Closes: #549975)

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Sat, 31 Oct 2009 12:16:54 +0100

## mathpiper 0.81f+svn4469+dfsg3

=== src/org/mathpiper/mpreduce/Makefile ===
# Makefile for "Jlisp"
# Now using a reasonably standard "make" syntax.


all:	reduce.jar minireduce.jar jlisp.jar

.PHONY:	clean
clean:
	-rm -f *.jar *.class *.img *.log *.bak *~

# The idea here is that the jar file contains EVERYTHING needed for
# Reduce, and so "java -jar reduce.jar" will launch the system with its
# default image file.

reduce.jar:	*.java jlisp_manifest reduce.img
	javac *.java
	cp reduce.img default.img
	-rm -f reduce.jar
	jar cmf jlisp_manifest reduce.jar *.class default.img
	rm default.img

# minireduce.jar is a cut-down system not containing all the Reduce modules.
# It will thus be smaller (albeit less capable of performing advanced
# operations).

minireduce.jar:	*.java jlisp_manifest minireduce.img
	javac *.java
	cp minireduce.img default.img
	-rm -f minireduce.jar
	jar cmf jlisp_manifest minireduce.jar *.class default.img
	rm default.img

# jlisp.jar is merely the Lisp system without any algebra. If may sometimes
# be easier to work with this smaller system while developing or interfacing?

jlisp.jar:	*.java jlisp_manifest jlisp.img
	javac *.java
	cp jlisp.img default.img
	-rm -f jlisp.jar
	jar cmf jlisp_manifest jlisp.jar *.class default.img
	rm default.img


JLISP   = java -jar jlisp.jar
MEM=300M
STK=8M
REDUCE	= java -Xmx$(MEM) -Xms$(MEM) -Xss$(STK) -jar reduce.jar


###########################################################################

C = ../cslbase

# I make the targets here .PHONY so that (eg) "make reduce.img" always
# rebuilds the image even though I have not got careful dependencies set up
# to make it clear why this is necessary.

.PHONY:	jlisp.img
jlisp.img:
	javac *.java
	-rm -f jlisp.img
	java Jlisp -w -v -z -o jlisp.img $(C)/buildcsl.lsp \
		-D@cslbase="$(C)" -- jlispimg.log



.PHONY:	reduce.img
reduce.img:
	javac *.java
	-rm -f reduce.img
	java Jlisp -w -v -z -o reduce.img $(C)/buildreduce.lsp \
		-D@srcdir="$(C)" -- reduce.log


.PHONY:	minireduce.img
minireduce.img:
	javac *.java
	-rm -f minireduce.img
	java Jlisp -w -v -z -o minireduce.img $(C)/buildreduce.lsp \
		-Dminireduce -D@srcdir="$(C)" -- reduce.log


.PHONY:	testall
testall:
	mkdir -p testlogs
	$(REDUCE) -w $(C)/testall.red -D@srcdir=$(C) -- testlogs/testreduce.log
	$(REDUCE) -w $(C)/checkall.red -D@srcdir=$(C) -- testlogs/checkall.log

.PHONY:	test1
# Use:    make test1 which=modulename
test1:
	mkdir -p testlogs
	$(REDUCE) -w -v $(C)/testall.red -D@srcdir=$(C) -Dwhich=$(which) -- testlogs/test$(which).log

.PHONY:	debug1
# Use:    make debug1 which=modulename
#         as test1 but passes the "-g" flag that makes all backtraces noisy.
debug1:
	mkdir -p testlogs
	$(REDUCE) -w -v -g $(C)/testall.red -D@srcdir=$(C) -Dwhich=$(which) -- testlogs/test$(which).log

.PHONY:	checkall
checkall:
	mkdir -p testlogs
	$(REDUCE) -w $(C)/checkall.red -D@srcdir=$(C) -- testlogs/checkall.log

# end of Makefile

=== src/packages/redlog/texi/Makefile ===
# ----------------------------------------------------------------------
# $Id: Makefile,v 1.16 2006/11/25 11:39:18 sturm Exp $
# ----------------------------------------------------------------------
# Copyright (c) 1996 
# Andreas Dolzmann and Thomas Sturm, Universitaet Passau
# ----------------------------------------------------------------------
# $Log: Makefile,v $
# Revision 1.16  2006/11/25 11:39:18  sturm
# makeinfo can produce html meanwhile. It produces better results than
# texi2html. There are some odd constructions with @ifhtml/@ifnothtml at
# the beginning of redlog.texi. For now this allows to automatically obtain
# something nice for the Web page.
#
# Revision 1.15  2006/06/18 10:29:37  sturm
# Use -Pcmz for dvips.
#
# Revision 1.14  2003/04/17 13:34:56  sturm
# Quantifier elimination should work.
#
# Revision 1.13  2002/01/18 12:39:04  sturm
# Do not split info file.
#
# Revision 1.12  1999/04/11 12:50:31  sturm
# Removed reference to program documentation for now.
#
# Revision 1.11  1999/04/01 11:30:11  sturm
# Changed options for texi2html.
#
# Revision 1.10  1999/03/22 16:48:07  sturm
# Overworked chapter "Format and Handling of Formulas". There is only "Other
# Stuff" left in chapter "Miscellaneous" now.
#
# Revision 1.9  1999/03/19 08:29:29  sturm
# Added .tar.Z and .uu target for redlog.
#
# Revision 1.8  1999/03/18 13:44:57  dolzmann
# Adapted the path to dvips.
#
# Revision 1.7  1997/08/18 17:30:12  sturm
# Changes due to renaming:
#    "rl.red" -> "redlog.red"
#    "rl.tst" -> "redlog.tst"
#    "rl.texi" -> "redlog.texi".
#
# Revision 1.6  1996/10/20 15:53:24  dolzmann
# Added *.info-* to the rm statement in target veryclean.
#
# Revision 1.5  1996/10/09 14:45:50  sturm
# Modified target rl.html.
#
# Revision 1.4  1996/10/09 09:44:46  sturm
# Added targets "rl-mip.ps" and "rl-mip-submit.ps".
#
# Revision 1.3  1996/10/06 15:08:09  sturm
# Added target rl.ps.
#
# Revision 1.2  1996/09/30 11:27:50  dolzmann
# Remove more auxiliary files with make clean.
#
# Revision 1.1  1996/09/26 12:16:30  sturm
# Initial check-in.
#
# ----------------------------------------------------------------------
DVIPS=dvips

rlsrc.texi:
	$$redlog/util/mksrcdoc

rlsrc.dvi: rlsrc.texi
	texi2dvi rlsrc.texi

rlsrc.info: rlsrc.texi
	makeinfo -o rlsrc.info rlsrc.texi

rlsrc.html: rlsrc.texi
	mv rlsrc.texi rlsrc.texi.origorig
	sed "s/@top/@unnumbered/" rlsrc.texi.origorig > rlsrc.texi
	texi2html -expandinfo -menu -split_node rlsrc.texi
	mv -f rlsrc.texi.origorig rlsrc.texi

redlog.texi:
	$redlog/util/mkdoc

redlog.dvi: redlog.texi
	texi2dvi redlog.texi

redlog.ps: redlog.dvi
	$(DVIPS) -Pcmz redlog.dvi -o

redlog.ps.Z: redlog.ps
	compress -v redlog.ps

redlog.uu: redlog.ps.Z
	uuencode redlog.ps.Z redlog.ps.Z > redlog.uu

rl-mip.texi: redlog.texi
	/bin/rm -f rl-mip.texi
	echo "\magnification=\magstep1" > rl-mip.texi
	cat redlog.texi >> rl-mip.texi

rl-mip.dvi: rl-mip.texi
	texi2dvi rl-mip.texi

rl-mip-submit.ps: rl-mip.dvi
	$(DVIPS) rl-mip.dvi -o rl-mip-submit.ps

rl-mip.ps: rl-mip-submit.ps
	ps2mip rl-mip-submit.ps > rl-mip.ps

redlog.info: redlog.texi
	makeinfo --no-split redlog.texi

redlog.html: redlog.texi
#	mv redlog.texi redlog.texi.origorig
#	sed -e '/@heading Acknowledgments/i\
#@unnumbered READ THIS FIRST' redlog.texi.origorig > redlog.texi
#	texi2html -split_node -menu -expandinfo redlog.texi
#	mv -f redlog.texi.origorig redlog.texi
	makeinfo --html --ifinfo --no-split redlog.texi

clean:
	/bin/rm -f *~ *.aux *.log *.cp *.cps *.fn *.fns *.ilg *.ind *.ky *.pg *.s *.sw *.sws *.toc *.tp *.tps *.vr *.vrs *.efs *.ef *.mo *.mos

veryclean: clean
	/bin/rm -f *.dvi *.ps *.info *.info-* rlsrc.texi *.html rl-mip.* rl-mip-submit.ps

## mathpiper 0.81f+svn4469+dfsg2

=== debian/changelog ===
mathpiper (0.81f+svn4469+dfsg2-1) unstable; urgency=low

  * Add mpreduce code.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 16 Dec 2011 15:09:23 +0100

=== debian/control ===
Source: mathpiper
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Build-Depends: debhelper (>= 7.0.50~), javahelper, default-jdk, libjfreechart-java,
 libjdom1-java, libjas-java, libjlatexmath-java
Standards-Version: 3.9.2
Homepage: http://mathrider.org/
Vcs-Git: git://git.debian.org/git/pkg-java/mathpiper.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/mathpiper.git

Package: mathpiper
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Description: Java Computer Algebra System
 Mathpiper is a CAS (Computer Algebra System), written in Java. It is part
 of the mathrider suite, a mathematics computing environment for
 performing numeric and symbolic computations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jdom1.jar:/usr/share/java/jas.jar:/usr/share/java/jfreechart.jar:/usr/share/java/jlatexmath.jar

%:
	dh $@ --with javahelper

# Avoid the default build.xml and its ant dependency
override_dh_auto_build:
	true

override_dh_auto_clean:
	true

## mathpiper 0.81f+svn4469+dfsg3

=== debian/changelog ===
mathpiper (0.81f+svn4469+dfsg3-4) unstable; urgency=medium

  * Team upload.

  [ Giovanni Mascellani ]
  * Make build reproducible.

  [ Andreas Tille ]
  * d/README.source: Do not mention quilt
  * Secure URI in Homepage
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * d/copyright: review

 -- Andreas Tille <tille@debian.org>  Tue, 11 Feb 2025 19:12:38 +0100

mathpiper (0.81f+svn4469+dfsg3-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 16:02:24 +0100

mathpiper (0.81f+svn4469+dfsg3-3) unstable; urgency=low

  * Upload to unstable.
  * Fix some lintian warnings.
    + Bump Standards-Version to 3.9.4 (no changes required).
  * Cosmetic changes to debian/copyright.

 -- Giovanni Mascellani <gio@debian.org>  Tue, 21 May 2013 10:33:14 +0200

mathpiper (0.81f+svn4469+dfsg3-2) experimental; urgency=low

  * Fix upstream URL (closes: #698899).

 -- Giovanni Mascellani <gio@debian.org>  Mon, 11 Mar 2013 21:53:32 +0100

mathpiper (0.81f+svn4469+dfsg3-1) unstable; urgency=low

  * Add Lisp scripts from mpreduce, needed to execute Reduce
    algorithms.
  * Do not compile Javadoc, which is discarded anyway.

 -- Giovanni Mascellani <gio@debian.org>  Sat, 03 Mar 2012 00:21:04 +0100

=== debian/control ===
Source: mathpiper
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               javahelper,
               default-jdk,
               libjfreechart-java,
               libjdom1-java,
               libjas-java,
               libjlatexmath-java
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/mathpiper
Vcs-Git: https://salsa.debian.org/java-team/mathpiper.git
Homepage: https://www.mathpiper.org/

Package: mathpiper
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${java:Depends}
Description: Java Computer Algebra System
 Mathpiper is a CAS (Computer Algebra System), written in Java. It is part
 of the mathrider suite, a mathematics computing environment for
 performing numeric and symbolic computations.

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,11 @@
 	true
 
 override_dh_auto_clean:
-	true
+	rm -f reduceimg.log default.img
+
+override_jh_build:
+	jh_build -N
+
+	# Compile the Lisp scripts and put them into the JAR
+	CLASSPATH=$$CLASSPATH:./mathpiper.jar java -Xmx300M -Xms300M -Xss8M org.mathpiper.mpreduce.Jlisp -w -v -z -o default.img lib/build_scripts/buildreduce.lsp -D@srcdir=lib/build_scripts -- reduceimg.log
+	jar uf mathpiper.jar default.img
